## ros-rolling-rviz-visual-testing-framework 9.1.1

=== debian/changelog ===
ros-rolling-rviz-visual-testing-framework (9.1.1-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 25 Jan 2022 08:00:00 -0000

ros-rolling-rviz-visual-testing-framework (9.1.0-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 13 Jan 2022 08:00:00 -0000

ros-rolling-rviz-visual-testing-framework (9.0.1-1focal) focal; urgency=high

  * Fixes for uncrustify 0.72 (#807 <https://github.com/ros2/rviz/issues/807>)
  * Contributors: Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 17 Dec 2021 08:00:00 -0000

ros-rolling-rviz-visual-testing-framework (9.0.0-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 18 Nov 2021 08:00:00 -0000

ros-rolling-rviz-visual-testing-framework (8.7.0-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 11 Aug 2021 07:00:00 -0000

ros-rolling-rviz-visual-testing-framework (8.6.0-1focal) focal; urgency=high

  * Update includes after rcutils/get_env.h deprecation (#677 <https://github.com/ros2/rviz/issues/677>)
  * Contributors: Christophe Bedard

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 13 May 2021 07:00:00 -0000

ros-rolling-rviz-visual-testing-framework (8.5.0-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-rviz-visual-testing-framework (8.4.0-1focal) focal; urgency=high

  * Quiet a clang warning about a Qt memory leak. (#651 <https://github.com/ros2/rviz/issues/651>)
  * Contributors: Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-rolling-rviz-visual-testing-framework (8.3.1-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-rviz-visual-testing-framework (8.3.0-1focal) focal; urgency=high

  * use rcutils_get_env. (#609 <https://github.com/ros2/rviz/issues/609>)
  * Add linters and use ament_lint_auto (#608 <https://github.com/ros2/rviz/issues/608>)
  * Update maintainers (#607 <https://github.com/ros2/rviz/issues/607>)
  * Contributors: Jacob Perron, tomoya

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-rolling-rviz-visual-testing-framework (8.2.0-1focal) focal; urgency=high



 -- William Woodall <william@openrobotics.org>  Tue, 23 Jun 2020 07:00:00 -0000

ros-rolling-rviz-visual-testing-framework (8.1.1-1focal) focal; urgency=high



 -- William Woodall <william@openrobotics.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-rolling-rviz-visual-testing-framework (8.1.0-1focal) focal; urgency=high

  * Added missing virtual destructors (#553 <https://github.com/ros2/rviz/issues/553>)
  * Contributors: Ivan Santiago Paunovic

 -- William Woodall <william@openrobotics.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-rolling-rviz-visual-testing-framework (8.0.3-1focal) focal; urgency=high



 -- William Woodall <william@openrobotics.org>  Tue, 02 Jun 2020 07:00:00 -0000

ros-rolling-rviz-visual-testing-framework (8.0.2-1focal) focal; urgency=high

  * Removed automoc completely. (#545 <https://github.com/ros2/rviz/issues/545>)
  * Contributors: Chris Lalancette

 -- William Woodall <william@openrobotics.org>  Thu, 21 May 2020 07:00:00 -0000

ros-rolling-rviz-visual-testing-framework (8.0.1-1focal) focal; urgency=high



 -- William Woodall <william@openrobotics.org>  Thu, 07 May 2020 07:00:00 -0000

ros-rolling-rviz-visual-testing-framework (8.0.0-1focal) focal; urgency=high

  * Note from wjwwood: I've chosen bump the major version this time, even though the API was not broken strictly speaking, partly because of some potentially disruptive build system changes and partially in preparation for ROS Foxy, to allow for new minor/patch versions in the previous ROS release Eloquent.
  * Changed to use ``ament_export_targets()``. (#525 <https://github.com/ros2/rviz/issues/525>)
  * Made some code style changes. (#504 <https://github.com/ros2/rviz/issues/504>)
  * Changed to install RViz configs for visual tests. (#487 <https://github.com/ros2/rviz/issues/487>) (#498 <https://github.com/ros2/rviz/issues/498>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas

 -- William Woodall <william@openrobotics.org>  Fri, 01 May 2020 07:00:00 -0000

ros-rolling-rviz-visual-testing-framework (7.0.3-1focal) focal; urgency=high



 -- William Woodall <william@openrobotics.org>  Wed, 13 Nov 2019 08:00:00 -0000

ros-rolling-rviz-visual-testing-framework (7.0.2-1focal) focal; urgency=high



 -- William Woodall <william@openrobotics.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-rolling-rviz-visual-testing-framework (7.0.1-1focal) focal; urgency=high



 -- William Woodall <william@openrobotics.org>  Fri, 04 Oct 2019 07:00:00 -0000

ros-rolling-rviz-visual-testing-framework (7.0.0-1focal) focal; urgency=high

  * Fix typos in visual testing framework documentation (#416 <https://github.com/ros2/rviz/issues/416>)
  * Remove -Werror from defualt compiler options (#420 <https://github.com/ros2/rviz/issues/420>)
  * Contributors: Hunter L. Allen, Jacob Perron

 -- William Woodall <william@openrobotics.org>  Fri, 27 Sep 2019 07:00:00 -0000

ros-rolling-rviz-visual-testing-framework (6.1.1-1focal) focal; urgency=high



 -- William Woodall <william@openrobotics.org>  Wed, 29 May 2019 07:00:00 -0000

ros-rolling-rviz-visual-testing-framework (6.1.0-1focal) focal; urgency=high



 -- William Woodall <william@openrobotics.org>  Mon, 20 May 2019 07:00:00 -0000

ros-rolling-rviz-visual-testing-framework (6.0.0-1focal) focal; urgency=high



 -- William Woodall <william@openrobotics.org>  Wed, 08 May 2019 07:00:00 -0000

ros-rolling-rviz-visual-testing-framework (5.1.0-1focal) focal; urgency=high

  * Migrate scalar displays, i.e. temperature, illuminance, relative humidity, and fluid pressure (#367 <https://github.com/ros2/rviz/issues/367>)
  * Contributors: GW1708

 -- William Woodall <william@openrobotics.org>  Mon, 14 Jan 2019 08:00:00 -0000


