=== debian/control ===
Source: ros-rolling-rviz-visual-testing-framework
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-rolling-ament-cmake, ros-rolling-ament-cmake-cppcheck, ros-rolling-ament-cmake-cpplint, ros-rolling-ament-cmake-gmock, ros-rolling-ament-cmake-gtest, ros-rolling-ament-cmake-lint-cmake, ros-rolling-ament-cmake-uncrustify, ros-rolling-ament-cmake-xmllint, ros-rolling-ament-lint-auto, ros-rolling-rcutils, ros-rolling-rviz-common, ros-rolling-ros-workspace
Homepage: http://ros.org/wiki/rviz2
Standards-Version: 3.9.2

Package: ros-rolling-rviz-visual-testing-framework
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ament-cmake-gtest, ros-rolling-rcutils, ros-rolling-rviz-common, ros-rolling-ros-workspace
Description: 3D testing framework for RViz.
